Bug 478437 - RFE - preupgrade - better no disk space in /boot message
RFE - preupgrade - better no disk space in /boot message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 21:24 EST by David Timms
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 698383 (view as bug list)
Environment:
Last Closed: 2010-06-28 07:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
current error message (78.50 KB, image/png)
2008-12-29 21:24 EST, David Timms
no flags Details
error message with patch (next) (37.96 KB, image/png)
2008-12-29 21:40 EST, David Timms
no flags Details
add the already calculated failure detail to the out of space exception (843 bytes, patch)
2008-12-29 21:42 EST, David Timms
no flags Details | Diff
conditionally show the out of space exception propogated from the backend (846 bytes, patch)
2008-12-29 21:53 EST, David Timms
no flags Details | Diff
screenshot of out of space for stage2 (41.75 KB, image/png)
2008-12-29 22:02 EST, David Timms
no flags Details
preupgrade - could do with some nice gui for the lack of space in /boot case. (145.21 KB, image/png)
2009-07-05 03:43 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-12-29 21:24:19 EST
Created attachment 327943 [details]
current error message

Description of problem:
Running preupgrade when you unknowingly have small amount of space in /boot leads to error dialog with retry & ok, but doesn't inform of the actual cause passed to the gui code.

Version-Release number of selected component (if applicable):
preupgrade-1.0.1-1.fc9.noarch

How reproducible:
have less than 10M in /boot and begin preupgrade
  
Actual results:
gui retry dialog with:
Failed to download installer data.
This could be caused by a missing network connection or a bad mirror

However, since this was started from the command line, it can be seen that the error was really: 
Not enough space in /boot/upgrade to download initrd.img.

Expected results:
1. Error telling user what actually went wrong ;)
2. Tell em what they need to do to succeed.
Comment 1 David Timms 2008-12-29 21:40:56 EST
Created attachment 327947 [details]
error message with patch (next)
Comment 2 David Timms 2008-12-29 21:42:12 EST
Created attachment 327948 [details]
add the already calculated failure detail to the out of space exception
Comment 3 David Timms 2008-12-29 21:53:39 EST
Created attachment 327949 [details]
conditionally show the out of space exception propogated from the backend

*side issue: I would also like preupgrade to, when it finds this situation:
1. check needed space (done)
2. check current running kernel version
3. check if other kernels are installed (and taking up space in /boot).
4.   offer to yum remove non-running kernels to free up space.
  " Preupgrade found 5 kernel versions installed. Would you like to remove the 4 fallback kernels ? y or n
5. continue without restarting preupgrade.
If someone else is doing the work, would such a patch be acceptable ?
Comment 4 David Timms 2008-12-29 22:02:38 EST
Created attachment 327950 [details]
screenshot of out of space for stage2

Since applying the above patch and running with enough space for stage1, these patches change the existing stage2 "no room but it's ok" dialog as attached. I can't see harm in having that information.
Comment 5 Bug Zapper 2009-06-09 23:27:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 David Timms 2009-07-05 03:43:57 EDT
Created attachment 350528 [details]
preupgrade - could do with some nice gui for the lack of space in /boot case.

(In reply to comment #5)
> This message is a reminder that Fedora 9 is nearing its end of life.
This issue is yet to be resolved under Fedora 11. The test was to simply fill /boot to < the vmlinuz size ( eg 2MB free). This is easy enough to do when there are numerous kernels installed.

# preupgrade
/usr/lib/python2.6/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, presto, refresh-packagekit, whiteout
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=i386
preupgrade-rpmfusion-free-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=i386
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=i386
preupgrade-rpmfusion-nonfree-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=i386
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=i386
Fetched treeinfo from http://mirror.aarnet.edu.au/pub/fedora/linux/development/i386/os//.treeinfo
treeinfo timestamp: Tue Jun 30 00:22:43 2009
Not enough space in /boot/upgrade to download vmlinuz.
Comment 7 Tore Olsen 2009-12-03 04:33:19 EST
Experienced this problem when attempting to upgrade from Fedora 11 to Fedora 12. I can imagine a less experienced user would have problems solving this. I really like David's suggestion to have preupgrade check for space and ask the user to remove old kernel packages. That would be a very helpful and intelligent behaviour.
Comment 8 Bug Zapper 2010-04-27 08:39:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:02:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Ed Avis 2011-06-18 10:52:10 EDT
This bug still occurs in Fedora 14 when upgrading to Fedora 15.  The GUI message has a general-purpose 'could not download' and it's only by viewing the console output that you can see what really went wrong.  Could you have another look please?

(And perhaps turn off the auto-close-old-bugs behaviour for bugs where people have submitted patches, it's just rude to close it without even looking at the patch.)
Comment 11 David Timms 2011-06-20 09:06:48 EDT
Ed, the key is to notice those comment 8 messages, and at least update the applicable version, since this will ensure bugzilla knows that:
1. someone cares about the issue, and
2. it is still actually relevant to a version of Fedora that is still in maintenance mode (currently 14 and 15).

Note: I have not had my computer in the same situation since, so I was happy for the autoclose to occur.

Feel free to re-open (assigned) and set the version to the version you have found trouble with. NB: the patch I seem to have made probably wont apply these days, may not have even been correct etc.

Would you have time to try the patch on the problematic source code, and post the patch result and whether it does the expected thing in the (g)ui ?

Note You need to log in before you can comment on or make changes to this bug.